scala.collection.mutable

# ArrayBuilder

#### object ArrayBuilder extends Serializable

A companion object for array builders.

Source
  ArrayBuilder.scala
Since

  2.8

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ArrayBuilder
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class ofBoolean extends ArrayBuilder[Boolean]

   A class for array builders for arrays of `boolean`s.

2. #### class ofByte extends ArrayBuilder[Byte]

   A class for array builders for arrays of `byte`s.

   A class for array builders for arrays of `byte`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

3. #### class ofChar extends ArrayBuilder[Char]

   A class for array builders for arrays of `char`s.

   A class for array builders for arrays of `char`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

4. #### class ofDouble extends ArrayBuilder[Double]

   A class for array builders for arrays of `double`s.

   A class for array builders for arrays of `double`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

5. #### class ofFloat extends ArrayBuilder[Float]

   A class for array builders for arrays of `float`s.

   A class for array builders for arrays of `float`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

6. #### class ofInt extends ArrayBuilder[Int]

   A class for array builders for arrays of `int`s.

   A class for array builders for arrays of `int`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

7. #### class ofLong extends ArrayBuilder[Long]

   A class for array builders for arrays of `long`s.

   A class for array builders for arrays of `long`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

8. #### class ofRef[T <: AnyRef] extends ArrayBuilder[T]

   A class for array builders for arrays of reference types.

   A class for array builders for arrays of reference types.

   T

     type of elements for the array builder, subtype of `AnyRef` with a `ClassTag` context bound.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

9. #### class ofShort extends ArrayBuilder[Short]

   A class for array builders for arrays of `short`s.

   A class for array builders for arrays of `short`s.

   Annotations
     @deprecatedInheritance( ... , "2.11.0" )

10. #### class ofUnit extends ArrayBuilder[Unit]

    A class for array builders for arrays of `Unit` type.

    A class for array builders for arrays of `Unit` type.

    Annotations
      @deprecatedInheritance( ... , "2.11.0" )

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def make[T]()(implicit arg0: ClassTag[T]): ArrayBuilder[T]

    Creates a new arraybuilder of type `T`.

    Creates a new arraybuilder of type `T`.

    T

      type of the elements for the array builder, with a `ClassTag` context bound.

    returns

      a new empty array builder.

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped